PHP Manual
Prev |  | Next

# HttpQueryString

(no version information, might be only in CVS)

HttpQueryString -- HTTP Query String Class

## Synopsis

    class HttpQueryString implements Serializable, ArrayAccess

## Class Members

### Properties

Table 1. Instance Properties

Modifiers | Type | Name | Description
--- | --- | --- | ---
private | array | queryArray | query parameters
private | string | queryString | serialized query parameters

Table 2. Static Properties

Modifiers | Type | Name | Description
--- | --- | --- | ---
private | array | instance | holds singletons

### Predefined Constants

Table 3.

Type | Name | Description
--- | --- | ---
int | TYPE_BOOL | retrieve query param as bool
int | TYPE_INT | retrieve query param as int
int | TYPE_FLOAT | retrieve query param as float
int | TYPE_STRING | retrieve query param as string
int | TYPE_ARRAY | retrieve query param as array
int | TYPE_OBJECT | retrieve query param as object

### Methods

HttpQueryString::construct()
HttpQueryString::singleton()
HttpQueryString::get()
HttpQueryString::mod()
HttpQueryString::set()
HttpQueryString::toArray()
HttpQueryString::toString()
HttpQueryString::xlate()

Prev | Home | Next
HttpMessage::setResponseStatus | Up | HttpQueryString::__construct